{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>{{discussion.title}} - Discussion </title>
{% endblock meta %}

{% block content %}

<div class="container">

    <div class="card">
        <div class="card-content">
           <h5>
            {{discussion.title}}
           </h5> 
        </div>
        <div class="card-content">
            {% if not discussion.author.is_superuser %} 
                <strong> posted by {{discussion.author.get_name}} on {{discussion.timestamp}} <br>
                </strong>
                {{discussion.content}}

            {% elif discussion.author.is_superuser %} 
                <strong>
                posted by SUPERUSER on {{discussion.timestamp}} <br>
                </strong>
                {{discussion.content}}

            {% endif %} 
            
        </div>
        <div class="card-action">
            <a href="/forum/{{discussion.id}}/reply/" class="btn waves-effect"><i class="material-icons right">send</i>Reply</a>
        </div>
    </div>

    <!-- {% if replies %} 
    {% for reply in replies %} -->
    <!-- <div class="card-title">
        {{discussion.title}}
    </div> -->

    <div class="" id="replies">

    </div>
        <!-- <div class="card">
            <div class="card-content">

            {% if not reply.author.is_superuser %} 
                <strong> posted by {{reply.author.get_name}} on {{reply.timestamp}} <br>
                </strong>
                {{reply.content}}

            {% elif reply.author.is_superuser %} 
                <strong>
                posted by SUPERUSER on {{reply.timestamp}} <br>
                </strong>
                {{reply.content}}

            {% endif %} 
                
            </div>
        </div> -->
    <!-- {%endfor%}
    {%endif%} -->
</div>
<script>
    var id = "{{discussion.course.id}}";
    $(document).ready(function(){
    $('.collapsible').collapsible();
    $.ajax({
        type:"GET",
        url:"/forum/main/"+ id + "/replyjson",
        success: function(response){
            console.log(response[0]['fields']);
            // console.log(response[1]['fields']);

            for (var i=0;i<response.length; i++){
                // var sum = '<a class="collection-item purple-text">' + response[i]['fields']['title'] + ' </a>'
                var sum = ' <div class="card"> <div class="card-content"> <strong> posted by '+response[i]['fields']['author'] + ' on ' + response[i]['fields']['timestamp'] + '<br> </strong> ' + response[i]['fields']['content'] + '</div> </div>'
                $("#replies").append(sum)

            }

        }
    })
  });
</script>
  
{% endblock content %}